Module java.base
Package java.lang.annotation

## Annotation Type Repeatable

-     @Documented
      @Retention(RUNTIME)
      @Target(ANNOTATION_TYPE)
      public @interface Repeatable

  The annotation type `java.lang.annotation.Repeatable` is used to indicate that the annotation type whose declaration it (meta-)annotates is repeatable. The value of `@Repeatable` indicates the containing annotation type for the repeatable annotation type.
  Since:
    1.8
  See The Java™ Language Specification:
    9.6.3 Repeatable Annotation Types, 9.7.5 Multiple Annotations of the Same Type

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element | Description
    --- | --- | ---
    `Class<? extends Annotation>` | `value` | Indicates the containing annotation type for the repeatable annotation type.

- - ### Element Detail

    - #### value

          Class<? extends Annotation> value

      Indicates the containing annotation type for the repeatable annotation type.
      Returns:
        the containing annotation type